class OpenAIChat {
  int id = 0;
  late String messages; // JSON of ChatMessage
  late String modelName;
  late double temperature;

  OpenAIChat(this.messages, {String? modelName, double? temperature}) {
    this.modelName = modelName ?? "gpt-3.5-turbo";
    this.temperature = temperature ?? 0.1;
  }

  OpenAIChat.fromJson(Map json) {
    id = json["id"];
    messages = json['messages'];
    modelName = json['modelName'];
    temperature = json['temperature'];
  }

  Map<String, dynamic> toJson() => {
        "id": id,
        "messages": messages,
        "modelName": modelName,
        "temperature": temperature,
      };

  @override
  String toString() => toJson().toString();
}
